<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/src/AndroidSLESMediaPlayer.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_6a9b6ece2a2b3e9844f10f06f8c54dc4.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AndroidSLESMediaPlayer.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;cstdint&gt;</code><br />
<code>#include &lt;map&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;ratio&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;SLES/OpenSLES.h&gt;</code><br />
<code>#include &lt;SLES/OpenSLES_Android.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_constants_8h_source.html">AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_interface_8h_source.html">AVSCommon/SDKInterfaces/SpeakerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_media_player_observer_interface_8h_source.html">AVSCommon/Utils/MediaPlayer/MediaPlayerObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_memory_8h_source.html">AVSCommon/Utils/Memory/Memory.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_linear_band_mapper_8h_source.html">EqualizerImplementations/EqualizerLinearBandMapper.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_iterative_playlist_parser_8h_source.html">PlaylistParser/IterativePlaylistParser.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_android_s_l_e_s_media_player_8h_source.html">AndroidSLESMediaPlayer/AndroidSLESMediaPlayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_android_s_l_e_s_speaker_8h_source.html">AndroidSLESMediaPlayer/AndroidSLESSpeaker.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_f_fmpeg_attachment_input_controller_8h_source.html">AndroidSLESMediaPlayer/FFmpegAttachmentInputController.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_f_fmpeg_decoder_8h_source.html">AndroidSLESMediaPlayer/FFmpegDecoder.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_f_fmpeg_stream_input_controller_8h_source.html">AndroidSLESMediaPlayer/FFmpegStreamInputController.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_f_fmpeg_url_input_controller_8h_source.html">AndroidSLESMediaPlayer/FFmpegUrlInputController.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AndroidSLESMediaPlayer.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_android_s_l_e_s_media_player_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2src_2_android_s_l_e_s_media_player_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2src_2_android_s_l_e_s_media_player_8cpp" id="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2src_2_android_s_l_e_s_media_player_8cpp">
<area shape="rect" id="node10" href="_speaker_constants_8h.html" title="AVSCommon/AVS/SpeakerConstants\l/SpeakerConstants.h" alt="" coords="382,105,626,144"/>
<area shape="rect" id="node11" href="_speaker_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerInterface.h" alt="" coords="1473,192,1663,231"/>
<area shape="rect" id="node13" href="_media_player_observer_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerObserverInterface.h" alt="" coords="832,105,1048,144"/>
<area shape="rect" id="node19" href="_memory_8h.html" title="AVSCommon/Utils/Memory\l/Memory.h" alt="" coords="4954,379,5137,417"/>
<area shape="rect" id="node21" href="_equalizer_linear_band_mapper_8h.html" title="EqualizerImplementations\l/EqualizerLinearBandMapper.h" alt="" coords="3915,105,4120,144"/>
<area shape="rect" id="node25" href="_iterative_playlist_parser_8h.html" title="PlaylistParser/Iterative\lPlaylistParser.h" alt="" coords="2050,192,2204,231"/>
<area shape="rect" id="node31" href="_android_s_l_e_s_media_player_8h.html" title="AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="3028,105,3217,144"/>
<area shape="rect" id="node42" href="_f_fmpeg_decoder_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegDecoder.h" alt="" coords="3710,192,3885,231"/>
<area shape="rect" id="node47" href="_android_s_l_e_s_speaker_8h.html" title="AndroidSLESMediaPlayer\l/AndroidSLESSpeaker.h" alt="" coords="4787,105,4962,144"/>
<area shape="rect" id="node48" href="_f_fmpeg_attachment_input_controller_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegAttachmentInputController.h" alt="" coords="900,192,1140,231"/>
<area shape="rect" id="node49" href="_f_fmpeg_stream_input_controller_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegStreamInputController.h" alt="" coords="246,192,461,231"/>
<area shape="rect" id="node50" href="_f_fmpeg_url_input_controller_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegUrlInputController.h" alt="" coords="1688,192,1877,231"/>
<area shape="rect" id="node15" href="_error_types_8h.html" title="AVSCommon/Utils/MediaPlayer\l/ErrorTypes.h" alt="" coords="485,192,694,231"/>
<area shape="rect" id="node16" href="_media_player_interface_8h.html" title="MediaPlayerInterface.h" alt="" coords="718,199,877,224"/>
<area shape="rect" id="node17" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="745,285,946,324"/>
<area shape="rect" id="node18" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="397,292,619,317"/>
<area shape="rect" id="node23" href="_equalizer_types_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerTypes.h" alt="" coords="3155,285,3346,324"/>
<area shape="rect" id="node24" href="_equalizer_band_mapper_interface_8h.html" title="EqualizerBandMapperInterface.h" alt="" coords="3909,199,4125,224"/>
<area shape="rect" id="node27" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface\lFactoryInterface.h" alt="" coords="2612,279,2815,331"/>
<area shape="rect" id="node28" href="_iterative_playlist_parser_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/IterativePlaylistParser\lInterface.h" alt="" coords="2243,279,2437,331"/>
<area shape="rect" id="node29" href="_playlist_entry_8h.html" title="PlaylistEntry.h" alt="" coords="1672,292,1776,317"/>
<area shape="rect" id="node30" href="_m3_u_parser_8h.html" title="PlaylistParser/M3UParser.h" alt="" coords="2034,292,2219,317"/>
<area shape="rect" id="node32" href="_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="3135,192,3326,231"/>
<area shape="rect" id="node33" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="3522,285,3710,324"/>
<area shape="rect" id="node36" href="_android_s_l_e_s_engine_8h.html" title="AndroidUtilities/Android\lSLESEngine.h" alt="" coords="4853,192,5013,231"/>
<area shape="rect" id="node37" href="_android_s_l_e_s_object_8h.html" title="AndroidUtilities/Android\lSLESObject.h" alt="" coords="4904,285,5064,324"/>
<area shape="rect" id="node38" href="_url_content_to_attachment_converter_8h.html" title="PlaylistParser/UrlContent\lToAttachmentConverter.h" alt="" coords="3401,192,3573,231"/>
<area shape="rect" id="node39" href="_android_s_l_e_s_media_queue_8h.html" title="AndroidSLESMediaPlayer\l/AndroidSLESMediaQueue.h" alt="" coords="2918,192,3111,231"/>
<area shape="rect" id="node41" href="_playback_configuration_8h.html" title="AndroidSLESMediaPlayer\l/PlaybackConfiguration.h" alt="" coords="1472,285,1648,324"/>
<area shape="rect" id="node40" href="_decoder_interface_8h.html" title="AndroidSLESMediaPlayer\l/DecoderInterface.h" alt="" coords="3835,285,4010,324"/>
<area shape="rect" id="node46" href="_f_fmpeg_input_controller_interface_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegInputControllerInterface.h" alt="" coords="1021,285,1246,324"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">alexaClientSDK::mediaPlayer::android</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_android_s_l_e_s_media_player_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9876807685845e079e50dc88c00f1d36"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_android_s_l_e_s_media_player_8cpp.html#a9876807685845e079e50dc88c00f1d36">TAG</a> (&quot;AndroidSLESMediaPlayer&quot;)</td></tr>
<tr class="memdesc:a9876807685845e079e50dc88c00f1d36"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a9876807685845e079e50dc88c00f1d36">More...</a><br /></td></tr>
<tr class="separator:a9876807685845e079e50dc88c00f1d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae35bba1edbbb449a359752164f68b51c"><td class="memItemLeft" align="right" valign="top">static SLuint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ae35bba1edbbb449a359752164f68b51c">alexaClientSDK::mediaPlayer::android::convertSampleSize</a> (PlaybackConfiguration::SampleFormat format)</td></tr>
<tr class="separator:ae35bba1edbbb449a359752164f68b51c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad146ef69b28c217071d28cf8b761d0e"><td class="memItemLeft" align="right" valign="top">static SLuint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#aad146ef69b28c217071d28cf8b761d0e">alexaClientSDK::mediaPlayer::android::convertLayout</a> (PlaybackConfiguration::ChannelLayout layout)</td></tr>
<tr class="separator:aad146ef69b28c217071d28cf8b761d0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd15c00ea2a4619679d3ae1e4c74c89"><td class="memItemLeft" align="right" valign="top">SLDataFormat_PCM&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a4bd15c00ea2a4619679d3ae1e4c74c89">alexaClientSDK::mediaPlayer::android::convertFormat</a> (const PlaybackConfiguration &amp;playbackConfiguration)</td></tr>
<tr class="separator:a4bd15c00ea2a4619679d3ae1e4c74c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad27e1ddfcd46aac94756c6bd15ee91cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ad27e1ddfcd46aac94756c6bd15ee91cf">alexaClientSDK::mediaPlayer::android::prefetchStatusCallback</a> (SLPrefetchStatusItf caller, void *pContext, SLuint32 event)</td></tr>
<tr class="separator:ad27e1ddfcd46aac94756c6bd15ee91cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acceb0be2a04db5d05b0e79f466451fc3"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#acceb0be2a04db5d05b0e79f466451fc3">alexaClientSDK::mediaPlayer::android::SAMPLE_RATE_HZ</a> = 48000</td></tr>
<tr class="memdesc:acceb0be2a04db5d05b0e79f466451fc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The playback audio sample rate in HZ.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#acceb0be2a04db5d05b0e79f466451fc3">More...</a><br /></td></tr>
<tr class="separator:acceb0be2a04db5d05b0e79f466451fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae863c337934167bd0f849c291c27680"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#aae863c337934167bd0f849c291c27680">alexaClientSDK::mediaPlayer::android::NUMBER_OF_CHANNELS</a> = 2</td></tr>
<tr class="memdesc:aae863c337934167bd0f849c291c27680"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of channels.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#aae863c337934167bd0f849c291c27680">More...</a><br /></td></tr>
<tr class="separator:aae863c337934167bd0f849c291c27680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20cb11fda4d0bc75a6719e3c4be06bc1"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a20cb11fda4d0bc75a6719e3c4be06bc1">alexaClientSDK::mediaPlayer::android::SAMPLE_SIZE_BITS</a> = 16</td></tr>
<tr class="memdesc:a20cb11fda4d0bc75a6719e3c4be06bc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The playback audio sample size in bits.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a20cb11fda4d0bc75a6719e3c4be06bc1">More...</a><br /></td></tr>
<tr class="separator:a20cb11fda4d0bc75a6719e3c4be06bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2808cc061e6ff6c1a60dedf971e9147"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ad2808cc061e6ff6c1a60dedf971e9147">alexaClientSDK::mediaPlayer::android::SAMPLE_SIZE_BYTES</a> = SAMPLE_SIZE_BITS / 8</td></tr>
<tr class="memdesc:ad2808cc061e6ff6c1a60dedf971e9147"><td class="mdescLeft">&#160;</td><td class="mdescRight">The playback audio sample size in bytes.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ad2808cc061e6ff6c1a60dedf971e9147">More...</a><br /></td></tr>
<tr class="separator:ad2808cc061e6ff6c1a60dedf971e9147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af99fa79eb7c510068f52412ef7218596"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#af99fa79eb7c510068f52412ef7218596">alexaClientSDK::mediaPlayer::android::DECIBELL_TO_MILLIBELL_MULT</a> = 100</td></tr>
<tr class="memdesc:af99fa79eb7c510068f52412ef7218596"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiplier to convert dB to mB.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#af99fa79eb7c510068f52412ef7218596">More...</a><br /></td></tr>
<tr class="separator:af99fa79eb7c510068f52412ef7218596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40b18d0a33c77eadc7256f87d2757d50"><td class="memItemLeft" align="right" valign="top">static SLDataLocator_AndroidSimpleBufferQueue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a40b18d0a33c77eadc7256f87d2757d50">alexaClientSDK::mediaPlayer::android::DATA_LOCATOR</a></td></tr>
<tr class="memdesc:a40b18d0a33c77eadc7256f87d2757d50"><td class="mdescLeft">&#160;</td><td class="mdescRight">The data locator used to configure the android media player to use a buffer queue.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a40b18d0a33c77eadc7256f87d2757d50">More...</a><br /></td></tr>
<tr class="separator:a40b18d0a33c77eadc7256f87d2757d50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9876807685845e079e50dc88c00f1d36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9876807685845e079e50dc88c00f1d36">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;AndroidSLESMediaPlayer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
